# CourseBuilder

Coursebuilder is a preprocessor tool for [pandoc](https://pandoc.org) 
to generate multi-lingual curricula documentation tables from 
structured representations as a flatfile database. Data scheme and 
actual values are kept in YAML files in order to version them with git.

# Usage

```sh
$> python coursebuilder  
usage:  [-h] [-m META [META ...]] [-l LANG] [-f FIELDS [FIELDS ...]] [-s SCHEMA] [-p] [-t] [-b BOOK] [--level LEVEL]
        [--table-gen TABLE_GEN]

versatile curricula generator

options:
  -h, --help            show this help message and exit
  -m META [META ...], --meta META [META ...]
                        course description(s) as YAML file(s)
  -l LANG, --lang LANG  Language to parse from meta file (use de or en)
  -f FIELDS [FIELDS ...], --fields FIELDS [FIELDS ...]
                        Fields to be used, the table will be build accordingly
  -s SCHEMA, --schema SCHEMA
                        using provided schema
  -p, --pagebreak       add a pagebreak after each module
  -t, --title           take first value in list as title
  -b BOOK, --book BOOK  process a whole curriculum book with sections
  --level LEVEL         level of header tags
  --table-gen TABLE_GEN
                        runs table generator
```

# Author

&copy; Copyright 2020-2024 Hartmut Seichter

# Licence

Coursebuilder is licensed under the terms of the MIT License. For details consult https://opensource.org/license/mit/ or the attached license file

